## NMSettingsService NMSettingsService |

## Synopsis

    #define             NM_SETTINGS_SERVICE_BUS
    #define             NM_SETTINGS_SERVICE_SCOPE
                        NMSettingsService;
    NMExportedConnection * nm_settings_service_get_connection_by_path
                                                            (NMSettingsService *self,
                                                             const char *path);
    void                nm_settings_service_export          (NMSettingsService *self);
    void                nm_settings_service_export_connection
                                                            (NMSettingsService *self,
                                                             NMSettingsConnectionInterface *exported);

## Description

## Details

### NM_SETTINGS_SERVICE_BUS

    #define NM_SETTINGS_SERVICE_BUS "bus"

### NM_SETTINGS_SERVICE_SCOPE

    #define NM_SETTINGS_SERVICE_SCOPE "scope"

### NMSettingsService

    typedef struct {
    	GObject parent;
    } NMSettingsService;

### nm_settings_service_get_connection_by_path ()

    NMExportedConnection * nm_settings_service_get_connection_by_path
                                                            (NMSettingsService *self,
                                                             const char *path);

`self` : |
`path` : |
Returns : |

### nm_settings_service_export ()

    void                nm_settings_service_export          (NMSettingsService *self);

`self` : |

### nm_settings_service_export_connection ()

    void                nm_settings_service_export_connection
                                                            (NMSettingsService *self,
                                                             NMSettingsConnectionInterface *exported);

`self` : |
`exported` : |